#ifndef CONFIGURE_H
#define CONFIGURE_H

bool configureServer(const QString &configFile);
// Configure the kemboss server step by step
bool configureSSL(const QString &configFile);
// Configures the SSL connection
bool configureDb(const QString &configFile);
// Configure the SQL database storing the user information, file database and server statistics
bool configureMYSQL(const QString &configFile);
// Configure the MYSQL
bool configureSQLITE(const QString &configFile);
// Configure the SQLITE
bool configureEmbassyPackages(const QString &configFile);
// Configure which EMBASSY packages are installed on the server

#ifdef Q_OS_WIN32
    void enableEcho(bool enable);
#endif

#endif // CONFIGURE_H
